
create table ParamDirfEmpW
(  CodigoEmp        char(2)         not null,
   TipoEmpresa      char(1)         not null,
   CodigoEmpresa    char(5)         not null, 
   CRIRRF           char(4)         not null,
   CRINSS           char(4)         not null, 
   CRCSLL           char(4)         not null, 
   CRCOFINS         char(4)         not null, 
   CRPIS            char(4)         not null, 
   CRISS            char(4)         not null,
   NatRendimento    char(5)         not null,
   DataAtu          datetime        not null,
   CodigoMatricula  char(15)        not null
) ;
 
INSERT INTO ParamDirfEmpW SELECT CodigoEmp, TipoEmpresa, CodigoEmpresa, CRIRRF, CRINSS, CRCSLL, CRCOFINS, CRPIS, CRISS, 
                                 '00000', DataAtu, CodigoMatricula FROM ParamDirfEmp;
   
alter table ParamDirfEmp drop constraint FK_ParamDirfEmp_Empresa;

alter table ParamDirfEmp drop constraint pk_ParamDirfEmp;
   
DROP TABLE ParamDirfEmp;
         
create table ParamDirfEmp
(  CodigoEmp        char(2)         not null,
   TipoEmpresa      char(1)         not null,
   CodigoEmpresa    char(5)         not null, 
   CRIRRF           char(4)         not null,
   CRINSS           char(4)         not null, 
   CRCSLL           char(4)         not null, 
   CRCOFINS         char(4)         not null, 
   CRPIS            char(4)         not null, 
   CRISS            char(4)         not null,
   NatRendimento    char(5)         not null,
   DataAtu          datetime        not null,
   CodigoMatricula  char(15)        not null
) ;         

INSERT INTO ParamDirfEmp SELECT * FROM ParamDirfEmpW; 
  
alter table ParamDirfEmp
    add constraint pk_ParamDirfEmp primary key (CodigoEmp, TipoEmpresa, CodigoEmpresa);

alter table ParamDirfEmp
    add constraint FK_ParamDirfEmp_Empresa foreign key  (CodigoEmp) 
        references Empresa (Codigo);

GRANT ALL ON ParamDirfEmp TO BYTEC;
 
DROP TABLE ParamDirfEmpW;
